jQuery(document).ready(function ($) {
    // Function to send OTP via AJAX
    function sendOTP() {
        var whatsappNumber = $('#whatsapp_number').val();

        $.ajax({
            type: 'POST',
            url: your_plugin_ajax_url, // Replace with the correct AJAX endpoint
            data: {
                action: 'send_otp',
                whatsapp_number: whatsappNumber
            },
            success: function (response) {
                // Handle success, e.g., display a message
                console.log(response);
            },
            error: function (error) {
                // Handle error, e.g., display an error message
                console.error(error.responseText);
            }
        });
    }

    // Function to verify OTP via AJAX
    function verifyOTP() {
        var otp = $('#otp').val();

        $.ajax({
            type: 'POST',
            url: your_plugin_ajax_url, // Replace with the correct AJAX endpoint
            data: {
                action: 'verify_otp',
                otp: otp
            },
            success: function (response) {
                // Handle success, e.g., display a message or enable the submit button
                console.log(response);
                if (response.success) {
                    $('#submit-registration').prop('disabled', false); // Enable the submit button
                }
            },
            error: function (error) {
                // Handle error, e.g., display an error message
                console.error(error.responseText);
            }
        });
    }

    // Event listener for Send OTP button
    $('#send-otp').on('click', function () {
        sendOTP();
    });

    // Event listener for Verify OTP button
    $('#verify-otp').on('click', function () {
        verifyOTP();
    });
});
